Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkClipPolyData Class Reference

`#include <vtkClipPolyData.h>`

Inheritance diagram for vtkClipPolyData:

[legend]
Collaboration diagram for vtkClipPolyData:

[legend]
List of all members.

## Detailed Description

clip polygonal data with user-specified implicit function or input scalar data

Date:
  2002/11/03 22:51:55

Revision:
  1.44

vtkClipPolyData is a filter that clips polygonal data using either any subclass of vtkImplicitFunction, or the input scalar data. Clipping means that it actually "cuts" through the cells of the dataset, returning everything inside of the specified implicit function (or greater than the scalar value) including "pieces" of a cell. (Compare this with vtkExtractGeometry, which pulls out entire, uncut cells.) The output of this filter is polygonal data.

To use this filter, you must decide if you will be clipping with an implicit function, or whether you will be using the input scalar data. If you want to clip with an implicit function, you must: 1) define an implicit function 2) set it with the SetClipFunction method 3) apply the GenerateClipScalarsOn method If a ClipFunction is not specified, or GenerateClipScalars is off (the default), then the input's scalar data will be used to clip the polydata.

You can also specify a scalar value, which is used to decide what is inside and outside of the implicit function. You can also reverse the sense of what inside/outside is by setting the InsideOut instance variable. (The cutting algorithm proceeds by computing an implicit function value or using the input scalar data for each point in the dataset. This is compared to the scalar value to determine inside/outside.)

This filter can be configured to compute a second output. The second output is the polygonal data that is clipped away. Set the GenerateClippedData boolean on if you wish to access this output data.

Warning:
  In order to cut all types of cells in polygonal data, vtkClipPolyData triangulates some cells, and then cuts the resulting simplices (i.e., points, lines, and triangles). This means that the resulting output may consist of different cell types than the input data.

See also:
  vtkImplicitFunction vtkCutter vtkClipVolume

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Lorensen, Bill (10%)
  - Martin, Ken (10%)
  - Law, Charles (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkClipPolyData.h)`
  - .`cxx` (`/Graphics/vtkClipPolyData.cxx)`

Examples:
  vtkClipPolyData (Examples)

Tests:
  vtkClipPolyData (Tests)

Definition at line 89 of file vtkClipPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkPolyData * | GetClippedOutput ()
void | CreateDefaultLocator ()
unsigned long | GetMTime ()
virtual void | SetValue (float)
virtual float | GetValue ()
virtual void | SetInsideOut (int)
virtual int | GetInsideOut ()
virtual void | InsideOutOn ()
virtual void | InsideOutOff ()
virtual void | SetClipFunction (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetClipFunction ()
virtual void | SetGenerateClipScalars (int)
virtual int | GetGenerateClipScalars ()
virtual void | GenerateClipScalarsOn ()
virtual void | GenerateClipScalarsOff ()
virtual void | SetGenerateClippedOutput (int)
virtual int | GetGenerateClippedOutput ()
virtual void | GenerateClippedOutputOn ()
virtual void | GenerateClippedOutputOff ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkClipPolyData * | SafeDownCast (vtkObject *o)
vtkClipPolyData * | New ()
## Protected Methods
| vtkClipPolyData (vtkImplicitFunction *cf=NULL)
| ~vtkClipPolyData ()
void | Execute ()
## Protected Attributes
vtkImplicitFunction * | ClipFunction
vtkPointLocator * | Locator
int | InsideOut
float | Value
int | GenerateClipScalars
int | GenerateClippedOutput

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkClipPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 92 of file vtkClipPolyData.h.

## Constructor & Destructor Documentation

vtkClipPolyData::vtkClipPolyData | ( | vtkImplicitFunction * | cf = NULL | ) | `[protected]`

vtkClipPolyData::~vtkClipPolyData | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkClipPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkClipPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkClipPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkClipPolyData* vtkClipPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkClipPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkClipPolyData* vtkClipPolyData::New | ( |  | ) | `[static]`

| Construct with user-specified implicit function; InsideOut turned off; value set to 0.0; and generate clip scalars turned off. Reimplemented from vtkObject.

virtual void vtkClipPolyData::SetValue | ( | float |  | ) | `[virtual]`

| Set the clipping value of the implicit function (if clipping with implicit function) or scalar value (if clipping with scalars). The default value is 0.0.

virtual float vtkClipPolyData::GetValue | ( |  | ) | `[virtual]`

| Set the clipping value of the implicit function (if clipping with implicit function) or scalar value (if clipping with scalars). The default value is 0.0.

virtual void vtkClipPolyData::SetInsideOut | ( | int |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, a vertex is considered inside the implicit function if its value is greater than the Value ivar. When InsideOutside is turned on, a vertex is considered inside the implicit function if its implicit function value is less than or equal to the Value ivar. InsideOut is off by default.

virtual int vtkClipPolyData::GetInsideOut | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, a vertex is considered inside the implicit function if its value is greater than the Value ivar. When InsideOutside is turned on, a vertex is considered inside the implicit function if its implicit function value is less than or equal to the Value ivar. InsideOut is off by default.

virtual void vtkClipPolyData::InsideOutOn | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, a vertex is considered inside the implicit function if its value is greater than the Value ivar. When InsideOutside is turned on, a vertex is considered inside the implicit function if its implicit function value is less than or equal to the Value ivar. InsideOut is off by default.

virtual void vtkClipPolyData::InsideOutOff | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, a vertex is considered inside the implicit function if its value is greater than the Value ivar. When InsideOutside is turned on, a vertex is considered inside the implicit function if its implicit function value is less than or equal to the Value ivar. InsideOut is off by default.

virtual void vtkClipPolyData::SetClipFunction | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify the implicit function with which to perform the clipping. If you do not define an implicit function, then the input scalar data will be used for clipping.

virtual vtkImplicitFunction* vtkClipPolyData::GetClipFunction | ( |  | ) | `[virtual]`

| Specify the implicit function with which to perform the clipping. If you do not define an implicit function, then the input scalar data will be used for clipping.

virtual void vtkClipPolyData::SetGenerateClipScalars | ( | int |  | ) | `[virtual]`

| If this flag is enabled, then the output scalar values will be interpolated from the implicit function values, and not the input scalar data. If you enable this flag but do not provide an implicit function an error will be reported.

virtual int vtkClipPolyData::GetGenerateClipScalars | ( |  | ) | `[virtual]`

| If this flag is enabled, then the output scalar values will be interpolated from the implicit function values, and not the input scalar data. If you enable this flag but do not provide an implicit function an error will be reported.

virtual void vtkClipPolyData::GenerateClipScalarsOn | ( |  | ) | `[virtual]`

| If this flag is enabled, then the output scalar values will be interpolated from the implicit function values, and not the input scalar data. If you enable this flag but do not provide an implicit function an error will be reported.

virtual void vtkClipPolyData::GenerateClipScalarsOff | ( |  | ) | `[virtual]`

| If this flag is enabled, then the output scalar values will be interpolated from the implicit function values, and not the input scalar data. If you enable this flag but do not provide an implicit function an error will be reported.

virtual void vtkClipPolyData::SetGenerateClippedOutput | ( | int |  | ) | `[virtual]`

| Control whether a second output is generated. The second output contains the polygonal data that's been clipped away.

virtual int vtkClipPolyData::GetGenerateClippedOutput | ( |  | ) | `[virtual]`

| Control whether a second output is generated. The second output contains the polygonal data that's been clipped away.

virtual void vtkClipPolyData::GenerateClippedOutputOn | ( |  | ) | `[virtual]`

| Control whether a second output is generated. The second output contains the polygonal data that's been clipped away.

virtual void vtkClipPolyData::GenerateClippedOutputOff | ( |  | ) | `[virtual]`

| Control whether a second output is generated. The second output contains the polygonal data that's been clipped away.

vtkPolyData* vtkClipPolyData::GetClippedOutput | ( |  | ) |

| Return the Clipped output.

void vtkClipPolyData::SetLocator | ( | vtkPointLocator * | locator | ) |

| Specify a spatial locator for merging points. By default, an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkClipPolyData::GetLocator | ( |  | ) | `[virtual]`

| Specify a spatial locator for merging points. By default, an instance of vtkMergePoints is used.

void vtkClipPolyData::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified. The locator is used to merge coincident points.

unsigned long vtkClipPolyData::GetMTime | ( |  | ) | `[virtual]`

| Return the mtime also considering the locator and clip function. Reimplemented from vtkObject.

void vtkClipPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkImplicitFunction* vtkClipPolyData::ClipFunction`[protected]`

| Definition at line 166 of file vtkClipPolyData.h.

vtkPointLocator* vtkClipPolyData::Locator`[protected]`

| Definition at line 168 of file vtkClipPolyData.h.

int vtkClipPolyData::InsideOut`[protected]`

| Definition at line 169 of file vtkClipPolyData.h.

float vtkClipPolyData::Value`[protected]`

| Definition at line 170 of file vtkClipPolyData.h.

int vtkClipPolyData::GenerateClipScalars`[protected]`

| Definition at line 171 of file vtkClipPolyData.h.

int vtkClipPolyData::GenerateClippedOutput`[protected]`

| Definition at line 173 of file vtkClipPolyData.h.

The documentation for this class was generated from the following file:

- Graphics/vtkClipPolyData.h